<html>
<head>
<meta charset="utf-8"/>
	<title>View</title>
	<h1>User Timeline</h1>

	</head>
	<body>
		<div style="float: left; width: 300px;">

<h3>User details:</h3>

<br>

			<h4>Username:</h4>
				<div>@{{search_key.username}}</div>
			<h4>Name:</h4>
				<div>{{search_key.name}}</div>
			<h4>Bio:</h4>
				<p><div style="height: 10%;width: 90%;">{{search_key.description}}</div></p>

				<form method = 'post' action= '{{ uri_for('view', key_id= search_key.key.id()) }}' type='submit'>
				<input type='submit' name= 'follow_button' value="{{button_value}}"></input>
				</form>
				<form action= '/' type='submit'>
				<input type='submit' name= 'button' value='Back'></input>

				</form>


			<section>
</div>
<div style="float: left; margin-left:50px;">

				<h3>Recent Tweets:</h3>
				{% for tweet in tweets | sort(attribute ='timestamp',reverse=true)%}
				<div style="width: 850px;background-color: #cecdcc;">
					<h4><div style="float:left;">@{{search_key.username}}</div></h4>
					<div style="margin-left: 100px;">{{tweet.timestamp}}</div>
					<div style="font-size: 20px;">{{tweet.content}}</div>
				</div>
				{% endfor %}


				<section>
			</div>


</body>
</html>
